SIEM HTTP Destination Events

A SiemHttpDestinationEvent is a log record for SIEM publishing failures and recoveries.

List SIEM HTTP Destination Events

Endpoint

GET/siem_http_destination_events

Return Object

SiemHttpDestinationEvent[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/siem_http_destination_events.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "event_type": "example",
    "status": "example",
    "body": "example",
    "event_errors": [
      "example"
    ],
    "created_at": "2000-01-01T01:00:00Z",
    "body_url": "example",
    "siem_http_destination_id": 1
  }
]

Show SIEM HTTP Destination Event

Endpoint

GET/siem_http_destination_events/{id}

Return Object

SiemHttpDestinationEvent

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Siem Http Destination Event ID.

Example Request

curl https://app.files.com/api/rest/v1/siem_http_destination_events/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "event_errors": [
    "example"
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example",
  "siem_http_destination_id": 1
}

The SiemHttpDestinationEvent Object

Some of the endpoints above return a SiemHttpDestinationEvent object. The attributes of this object are listed below.

AttributeDescription
id
int64
Event ID
event_type
string
Type of SIEM event being recorded.
status
string
Status of event.
Possible values: success, failure, partial_failure, in_progress, skipped
body
string
Event body.
event_errors
array(string)
Event errors.
created_at
date-time
Event create date/time.
body_url
string
Link to log file.
siem_http_destination_id
int64
SIEM ID.

Example SiemHttpDestinationEvent Object

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "event_errors": [
    "example"
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example",
  "siem_http_destination_id": 1
}